import { StdBatch } from './StdBatch';
export class AggregateUniformsBatch extends StdBatch {
    constructor(renderer, geometryOffset) {
        super(geometryOffset);
        this.renderer = renderer;
        this.uniformBuffer = null;
        this.uniformMap = null;
        this.uniformLength = 0;
    }
    upload(renderer) {
        super.upload(renderer);
        const { _uniformRedirects: uniformRedirects, _shader: shader } = this.renderer;
        for (let i = 0, j = uniformRedirects.length; i < j; i++) {
            const glslIdentifer = uniformRedirects[i].glslIdentifer;
            shader.uniforms[glslIdentifer] = this.uniformBuffer[glslIdentifer];
        }
    }
    reset() {
        super.reset();
        for (const uniformName in this.uniformBuffer) {
            this.uniformBuffer[uniformName].length = 0;
        }
    }
}
//# sourceMappingURL=AggregateUniformsBatch.js.map