export class StdBatch {
    constructor(geometryOffset) {
        this.geometryOffset = geometryOffset;
        this.textureBuffer = null;
        this.uidMap = null;
        this.state = null;
    }
    upload(renderer) {
        this.textureBuffer.forEach((tex, i) => {
            renderer.texture.bind(tex, i);
        });
        renderer.state.set(this.state);
    }
    reset() {
        this.textureBuffer = this.uidMap = this.state = null;
        if (this.batchBuffer) {
            this.batchBuffer.length = 0;
        }
    }
}
//# sourceMappingURL=StdBatch.js.map