import * as PIXI from 'pixi.js';
import { Redirect } from './Redirect';
import type { BatchRenderer } from '../BatchRenderer';
interface IAttributeRedirectOptions {
    source: string | ((db: PIXI.DisplayObject, renderer: BatchRenderer) => any);
    attrib: string;
    type: string;
    size?: number | '%notarray%';
    glType: number;
    glSize: number;
    normalize?: boolean;
}
export declare class AttributeRedirect extends Redirect {
    type: string;
    size: number | '%notarray%';
    glType: PIXI.TYPES;
    glSize: number;
    normalize: boolean;
    properSize: number;
    constructor(options: IAttributeRedirectOptions);
    static vertexSizeFor(attributeRedirects: Array<AttributeRedirect>): number;
}
export {};
