import * as PIXI from 'pixi.js';
import { Redirect } from './Redirect';
export class AttributeRedirect extends Redirect {
    constructor(options) {
        super(options.source, options.attrib);
        this.type = options.type;
        this.size = options.size;
        this.properSize = (options.size === '%notarray%' || options.size === undefined) ? 1 : options.size;
        this.glType = options.glType;
        this.glSize = options.glSize;
        this.normalize = !!options.normalize;
    }
    static vertexSizeFor(attributeRedirects) {
        return attributeRedirects.reduce((acc, redirect) => (PIXI.ViewableBuffer.sizeOf(redirect.type)
            * redirect.properSize)
            + acc, 0);
    }
}
//# sourceMappingURL=AttributeRedirect.js.map