import { utils } from 'pixi.js';
export class BufferPool {
    constructor(bufferType) {
        this._bufferPools = [];
        this._bufferType = bufferType;
    }
    allocateBuffer(size) {
        const roundedP2 = utils.nextPow2(size);
        const roundedSizeIndex = utils.log2(roundedP2);
        const roundedSize = roundedP2;
        if (this._bufferPools.length <= roundedSizeIndex) {
            this._bufferPools.length = roundedSizeIndex + 1;
        }
        let bufferPool = this._bufferPools[roundedSizeIndex];
        if (!bufferPool) {
            this._bufferPools[roundedSizeIndex] = bufferPool = [];
        }
        return bufferPool.pop() || new (this._bufferType)(roundedSize);
    }
    releaseBuffer(buffer) {
    }
}
//# sourceMappingURL=BufferPool.js.map